package com.corejsf;

import javax.faces.component.FacesComponent;
import javax.faces.component.UICommand;

@FacesComponent("com.corejsf.TabbedPane")
public class UITabbedPane extends UICommand {
   private enum PropertyKeys { content };
   
   public String getContent() { 
      return (String) getStateHelper().get(PropertyKeys.content); 
   }
   
   public void setContent(String newValue) { 
      getStateHelper().put(PropertyKeys.content, newValue); 
   }
   
/*   
    Poniższej wersji można użyć do sprawdzenia skutków rezygnacji z zapisywania stanu komponentu.

    private String content;

    public String getContent() { return content; }
    public void setContent(String newValue) { content = newValue; }
*/  
}